curl --request POST \
--url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"active": true,
"id": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}指定されたアプリのイベント配信登録をバッチ作成します。
curl --request POST \
--url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"active": true,
"id": 123
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
ターゲットアプリのID。
Show child attributes
successful operation
バッチ処理が完了した日時。
バッチ処理の結果のリスト。
Show child attributes
バッチ処理が開始された日時。
バッチ処理の現在のステータス(PENDING、PROCESSING、CANCELED、COMPLETEを取り得る)。
CANCELED, COMPLETE, PENDING, PROCESSING バッチ処理に関連付けられた関連リンクのコレクション。
Show child attributes
バッチ処理が要求された日時。